current version of pocket rxtx errors

Plwase post here all the bugs you found in the app.
Locked
VE1BWV
Posts: 3
Joined: Sun Dec 29, 2013 10:35 pm

current version of pocket rxtx errors

Post by VE1BWV »

Dan,
As of the new version I can no longer run the software on any of my tablets

Tablets. Nexus7 2nd gen, Asus tf300, etc
Android 4.4, 4.3
When I start the app I get

Error in sub.main vvvvvvvvvvvvvvvvvvvvvvvvvvvv0(java line: 5074) java.lang nullpoint Exception
Then it crashes.

Thanks
Joe
Ve1bwv
User avatar
yo3ggx
Site Admin
Posts: 753
Joined: Wed Aug 15, 2012 8:30 pm
Location: Bucharest, România
Contact:

Re: current version of pocket rxtx errors

Post by yo3ggx »

Hi Joe,

First I want to wish you a Happy New Year.
For a strange reason I was not notified about this post and this is the reason for the late reply.

Please try to reset the configuration file by a long press on START button in the startup page.
If the issue is still present, try to remove and then reinstall the application.
If still not solved, you can revert to the previous version till the bug will be solved.
It is available for download on my site here:
http://www.yo3ggx.ro/pocketrxtx/pocketrxtx_v0.6.apk

I would kindly ask you to send me your feedback after you try first two options.

Thank you,
Dan
VE1BWV
Posts: 3
Joined: Sun Dec 29, 2013 10:35 pm

Re: current version of pocket rxtx errors

Post by VE1BWV »

Dan,

Thanks for the reply and a Healthy and Happy New Year to you as well.

I did the long reset and now everything is working perfect!
Ran thru various options etc and it worked flawlessly....
--------------------------------------------------------

As you may be aware I run 3 bands on websdr -

2 bands 20 and 40 are on websdr version 9 - i have kept it on that version because I believe its is the only one you can support?
1 band - 17 meters is a a raspberry pi - version 10 - think that's the latest

Question:

Is the current version (10) of websdr supported or do we still have to use ver9?

I use to be visible on your radios but I disappeared..
Please refresh me what files I have to chanage to appear on your Pocket rxtx.

I would like to be listed again..... I even might fold back my raspberry pi to the older websdr if required...

Thanks again for an excellent piece of software.The Ham world is fortunate to have such a skilled developer....
It has been improving steadily, nice layout, and features just keep getting better and better.
Its the best in the net!!

Joe
VE1BWV
User avatar
yo3ggx
Site Admin
Posts: 753
Joined: Wed Aug 15, 2012 8:30 pm
Location: Bucharest, România
Contact:

Re: current version of pocket rxtx errors

Post by yo3ggx »

VE1BWV wrote: As you may be aware I run 3 bands on websdr -

2 bands 20 and 40 are on websdr version 9 - i have kept it on that version because I believe its is the only one you can support?
1 band - 17 meters is a a raspberry pi - version 10 - think that's the latest

Question:

Is the current version (10) of websdr supported or do we still have to use ver9?
Yes, current PocketRXTX version supports WebSDR v10.
I use to be visible on your radios but I disappeared..
Please refresh me what files I have to chanage to appear on your Pocket rxtx.

I would like to be listed again..... I even might fold back my raspberry pi to the older websdr if required...
Most probable because of many reports of unavailability I've disabled your server, but now is up again.

Please send me by mail your current sdr.xml file as after you move to v10 it must be modified to be supported.
Thanks again for an excellent piece of software.The Ham world is fortunate to have such a skilled developer....
It has been improving steadily, nice layout, and features just keep getting better and better.
Its the best in the net!!
Thank you Joe.
I'm working on some new and unique features, but very slowly because of missing free time for this.

73 Dan YO3GGX
VE1BWV
Posts: 3
Joined: Sun Dec 29, 2013 10:35 pm

Re: current version of pocket rxtx errors

Post by VE1BWV »

Dan,

I was wondering if you have had anytime to look into no audio problem for my 2 websdr .
I see the video fine but no audio....

I am using ver 10 of websdr.

Thanks

Joe
VE1BWV :D
User avatar
yo3ggx
Site Admin
Posts: 753
Joined: Wed Aug 15, 2012 8:30 pm
Location: Bucharest, România
Contact:

Re: current version of pocket rxtx errors

Post by yo3ggx »

VE1BWV wrote:Dan,

I was wondering if you have had anytime to look into no audio problem for my 2 websdr .
I see the video fine but no audio....

I am using ver 10 of websdr.

Thanks

Joe
VE1BWV :D
Hi Joe,

First sorry for the late reply, but I forgot to activate notifications for this thread and I've seen your post only today.
I'm working now to finalize the new version of BlueVNA application. As soon as it will be published in Play Store I will go back to continue the development of PocketRXTX.

In your case I suspect that you fogot to add the following line in station section in sdr.xml

<version>10</version>

Use my ecample here:
http://websdr.yo3ggx.ro:8765/sdr.xml

Please post here a message if this solves your issue.

Best regards,
73 Dan YO3GGX
Locked